#
# spec file for package mate-branding-openSUSE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mate_control_center_version %(rpm -q --queryformat '%%{VERSION}' mate-control-center)
%define mate_desktop_gschemas_version %(rpm -q --queryformat '%%{VERSION}' mate-desktop-gschemas)
%define mate_menus_version %(rpm -q --queryformat '%%{VERSION}' mate-menus)
%define mate_panel_version %(rpm -q --queryformat '%%{VERSION}' mate-panel)
%define mate_session_manager_version %(rpm -q --queryformat '%%{VERSION}' mate-session-manager)
Name:           mate-branding-openSUSE
Version:        42.1
Release:        5.5
Summary:        openSUSE Branding of the MATE Desktop Environment
License:        MIT
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source1:        mate-session-branding-openSUSE-mate_defaults.conf
Source2:        mate-session-branding.gschema.override.in
Source3:        mate-panel-branding.gschema.override.in
Source4:        mate-desktop-branding.gschema.override.in
# Exactly the same as Xfce branding icons.
Source5:        openSUSE-MATE-icons.tar.xz
# PATCH-FIX-OPENSUSE mate-control-center-branding-add-YaST.patch
Patch0:         mate-control-center-branding-add-YaST.patch
# PATCH-FIX-OPENSUSE mate-menus-branding-remove-X-SuSE-ControlCenter.patch vuntz@opensuse.org -- Remove the desktop files with X-SuSE-YaST category from the Applications menu and explicitly add YaST launcher.
Patch1:         mate-menus-branding-remove-X-SuSE-ControlCenter.patch
BuildRequires:  fdupes
BuildRequires:  mate-control-center-branding-upstream
BuildRequires:  mate-desktop-gschemas-branding-upstream
BuildRequires:  mate-menus-branding-upstream
BuildRequires:  mate-panel-branding-upstream
BuildRequires:  mate-session-manager-branding-upstream
BuildRequires:  wallpaper-branding-openSUSE
BuildRequires:  pkgconfig(glib-2.0)
BuildArch:      noarch

%description
This package provides the openSUSE look and feel for the MATE desktop environment.

%package -n mate-control-center-branding-openSUSE
Summary:        openSUSE Branding of mate-control-center
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       mate-control-center = %{mate_control_center_version}
Supplements:    packageand(mate-control-center:branding-openSUSE)
Conflicts:      otherproviders(mate-control-center-branding)
Provides:       mate-control-center-branding = %{mate_control_center_version}

%description -n mate-control-center-branding-openSUSE
This package provides the openSUSE definition of what appears in the
control centre.

%package -n mate-desktop-gschemas-branding-openSUSE
Summary:        openSUSE Branding of mate-desktop
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       adwaita-icon-theme
Requires:       mate-desktop-gschemas = %{mate_desktop_gschemas_version}
Supplements:    packageand(mate-desktop-gschemas:branding-openSUSE)
Conflicts:      otherproviders(mate-desktop-gschemas-branding)
Provides:       mate-desktop-gschemas-branding = %{mate_desktop_gschemas_version}

%description -n mate-desktop-gschemas-branding-openSUSE
This package provides the openSUSE definition for MATE Desktop GSchemas.

%package -n mate-panel-branding-openSUSE
Summary:        openSUSE Branding of mate-panel
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       mate-applet-softupd
Requires:       mate-applets
Requires:       mate-menu
Requires:       mate-panel = %{mate_panel_version}
Supplements:    packageand(mate-panel:branding-openSUSE)
Conflicts:      otherproviders(mate-panel-branding)
Provides:       mate-panel-branding = %{mate_panel_version}
%glib2_gsettings_schema_requires

%description -n mate-panel-branding-openSUSE
This package provides the openSUSE look and feel for the MATE Panel.

%package -n mate-menus-branding-openSUSE
Summary:        openSUSE Branding of mate-menus
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       mate-menus = %{mate_menus_version}
Supplements:    packageand(mate-menus:branding-openSUSE)
Conflicts:      otherproviders(mate-menus-branding)
Provides:       mate-menus-branding = %{mate_menus_version}

%description -n mate-menus-branding-openSUSE
This package provides the openSUSE definitions for menus.

%package -n mate-session-manager-branding-openSUSE
Summary:        openSUSE Branding of mate-session-manager
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       mate-icon-theme
Requires:       mate-session-manager = %{mate_session_manager_version}
Requires:       metatheme-numix-common
Requires:       wallpaper-branding-openSUSE
Recommends:     mate-themes
Supplements:    packageand(mate-session-manager:branding-openSUSE)
Conflicts:      otherproviders(mate-session-manager-branding)
Provides:       mate-session-manager-branding = %{mate_session_manager_version}
%glib2_gsettings_schema_requires

%description -n mate-session-manager-branding-openSUSE
This package provides the openSUSE look and feel for the MATE Session Manager.

%prep
# MATE Control Center branding part.
# We will base the shell content on upstream content:
cp -a %{_sysconfdir}/xdg/menus/*.menu .
%patch0 -p1
# MATE Menus branding part.
%patch1 -p1
# MATE Session Manager branding part.
cp -a %{SOURCE1} mate_defaults.conf
cp -a %{SOURCE2} mate-session-branding.gschema.override.in
# MATE Panel branding part.
cp -a %{SOURCE3} zz-mate-panel-openSUSE-branding.gschema.override
# MATE Desktop GSchemas branding part.
cp -a %{SOURCE4} zz-mate-desktop-openSUSE-branding.gschema.override
tar -xvf %{SOURCE5}

%build
# MATE session manager branding part.
[ -f %{_datadir}/wallpapers/openSUSE-default.xml ]
sed -e 's|@@WALLPAPER_URI@@|%{_datadir}/wallpapers/openSUSE-default.xml|' mate-session-branding.gschema.override.in > mate-session-branding.gschema.override
# For sound theme.
cat mate-session-branding.gschema.override | sed -e 's|@@IF_openSUSE@@||g;/^@@IF_/d' > zz-mate-session-openSUSE-branding.gschema.override

%install
# MATE Control Centre branding part.
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/
install -m 0644 *.menu %{buildroot}%{_sysconfdir}/xdg/menus/
# MATE Desktop GSchemas branding part.
install -Dm 0644 zz-mate-desktop-openSUSE-branding.gschema.override \
  %{buildroot}%{_datadir}/glib-2.0/schemas/20_zz-mate-desktop-openSUSE-branding.gschema.override
# MATE Panel branding part.
install -Dm 0644 zz-mate-panel-openSUSE-branding.gschema.override \
  %{buildroot}%{_datadir}/glib-2.0/schemas/20_zz-mate-panel-openSUSE-branding.gschema.override
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 0644 mate-*.png %{buildroot}%{_datadir}/pixmaps/
# MATE Session Manager branding part.
install -Dm 0644 mate_defaults.conf %{buildroot}%{_sysconfdir}/mate_defaults.conf
install -Dm 0644 zz-mate-session-openSUSE-branding.gschema.override \
  %{buildroot}%{_datadir}/glib-2.0/schemas/20_zz-mate-session-openSUSE-branding.gschema.override
# Remove unwanted menu file.
rm -f %{buildroot}%{_sysconfdir}/xdg/menus/mate-{settings,preferences-categories}.menu

%post -n mate-desktop-gschemas-branding-openSUSE
%glib2_gsettings_schema_post

%postun -n mate-desktop-gschemas-branding-openSUSE
%glib2_gsettings_schema_postun

%post -n mate-panel-branding-openSUSE
%glib2_gsettings_schema_post

%postun -n mate-panel-branding-openSUSE
%glib2_gsettings_schema_postun

%post -n mate-session-manager-branding-openSUSE
%glib2_gsettings_schema_post

%postun -n mate-session-manager-branding-openSUSE
%glib2_gsettings_schema_postun

%files -n mate-desktop-gschemas-branding-openSUSE
%defattr(-,root,root)
%{_datadir}/glib-2.0/schemas/20_zz-mate-desktop-openSUSE-branding.gschema.override

%files -n mate-control-center-branding-openSUSE
%defattr (-,root,root)
%config %{_sysconfdir}/xdg/menus/matecc.menu

%files -n mate-menus-branding-openSUSE
%defattr(-,root,root)
%config %{_sysconfdir}/xdg/menus/mate-applications.menu

%files -n mate-panel-branding-openSUSE
%defattr(-,root,root)
%{_datadir}/glib-2.0/schemas/20_zz-mate-panel-openSUSE-branding.gschema.override
%{_datadir}/pixmaps/mate-*.png

%files -n mate-session-manager-branding-openSUSE
%defattr(-,root,root)
%config (noreplace) %{_sysconfdir}/mate_defaults.conf
%{_datadir}/glib-2.0/schemas/20_zz-mate-session-openSUSE-branding.gschema.override

%changelog
* Tue Sep  6 2022 Callum Farmer <gmbr3@opensuse.org>
- Install gschema override with distribution default priority of
  20
* Mon Apr 11 2016 sor.alexei@meowr.ru
- Change the theme back from TraditionGreen to Numix to
  TraditionGreen: Numix now supports Gtk 3.20.
* Thu Mar 31 2016 sor.alexei@meowr.ru
- Change the theme from Numix to TraditionGreen to gain Gtk 3.20
  compatibility.
- Depend on mate-applet-softupd again.
* Wed Jan  6 2016 sor.alexei@meowr.ru
- Add mate-desktop-gschemas-branding-openSUSE with cursor theme
  alteration to "Adwaita".
- Recommend mate-applet-softupd instead of depending.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Bump version to 42.1.
- Rebase mate-control-center-branding-add-YaST.patch and
  mate-menus-branding-remove-X-SuSE-ControlCenter.patch for
  MATE 1.12.
- Add missing gschema requires to mate-panel-branding-openSUSE.
- Only depend on metatheme-numix-common: Gtk versions are
  supplemented by it.
- Require mate-applets and mate-applet-softupd.
* Mon May 25 2015 sor.alexei@meowr.ru
- mate-panel-branding-openSUSE should depend on mate-menu.
* Wed Mar 25 2015 p.drouand@gmail.com
- Use Numix Gtk theme and Menta icon theme by default.
- Add a SUSE branded icon for the menu bar and use it by default.
* Mon Mar 23 2015 p.drouand@gmail.com
- Replace Banshee with Exaile by default; better integrated.
* Tue Nov  4 2014 sor.alexei@meowr.ru
- Fix default background filepath.
- Make GSettings schema update after installing packages.
- Spec cleanup.
* Fri Oct 24 2014 p.drouand@gmail.com
- Use Adwaita theme and Mate icons; because of troubles with GTK3
  applications, it's better to use Gnome default theme
* Fri Oct 17 2014 p.drouand@gmail.com
- Fix default wallpaper
* Wed Oct  8 2014 p.drouand@gmail.com
- Fix the default icon theme; use Sonar for theme and icons
- Reenable default theme
* Sat Jul 12 2014 p.drouand@gmail.com
- Do not install the branded layout; it's included in the mate-panel
  package, just apply it
- Temporary disable theme definition in the branded session file; it
  conflicts with gtkrc file from gtk2-branding-openSUSE
* Thu May  1 2014 p.drouand@gmail.com
- Do not rename openSUSE layout
- Also use gsetting keys to apply layout
* Tue Apr  8 2014 p.drouand@gmail.com
- Revert last change; we don't provide indicator applets
* Tue Apr  8 2014 p.drouand@gmail.com
- Use indicator-applets by default
* Mon Mar 17 2014 p.drouand@gmail.com
- Keep only useful stuff in mate-session-branding.gschema.override.in
- Use sonar and gilouch as icon/theme by default to be the most closed
  of openSUSE Gnome2 user experience
  * define them as theme and icon theme in
    mate-session-branding.gschema.override.in
  * add gtk[2,3]-metatheme-sonar and  require sonar-icon-theme
  * remove mate-icon-theme requirement
* Sat Mar 15 2014 p.drouand@gmail.com
- For each branding subpackage, do not build require branded package
  if *-branding-upstream is already build require; it's redundant
- Fix @@WALLPAPER_URI@@ in spec file
- Remove non-existing key entries in
  mate-session-branding.gschema.override.in
* Sun Mar  2 2014 p.drouand@gmail.com
- Bump version to 13.2
- Upload opensuse.layout to sources
- Use a default layout configuration file to use gnome-main-menu by
  default
- Remove redundant layout install
* Thu Dec 19 2013 p.drouand@gmail.com
- Add mate-menus-branding-remove-X-SuSE-ControlCenter.patch: this
  removes the desktop files with X-SuSE-ControlCenter-* categories
  from the Applications menu. They should just appear in the
  control center.
* Wed Dec 18 2013 p.drouand@gmail.com
- Change license to MIT; GPL licenses require to provide a COPYING
  file
* Sat Oct  5 2013 p.drouand@gmail.com
- Remove Novell license file; it doesn't meaning nothing to provide it
- Fix Summary main package; replace xcfe with Mate
- Remove useless Obsoletes tags for mate-session-manager branding package
* Mon Sep 23 2013 p.drouand@gmail.com
- Set the same background for the lockscreen by default as we use
  as regular background.
* Fri Sep 20 2013 p.drouand@gmail.com
- Remove toggle-mute from overrides; not in Mate schema
* Tue Aug 13 2013 p.drouand@gmail.com
- Remove org.freedesktop.Tracker.Miner.Files entry from override file
  don't define it here
* Sat Mar 23 2013 p.drouand@gmail.com
- Initial release
